Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSqlDriver.IdentifierType

    java.lang.Object
      java.lang.Enum<QSqlDriver.IdentifierType>
          com.trolltech.qt.sql.QSqlDriver.IdentifierType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSqlDriver.IdentifierType>

Enclosing class:
  QSqlDriver

    public static enum QSqlDriver.IdentifierType

extends java.lang.Enum<QSqlDriver.IdentifierType>
implements QtEnumerator

This enum contains a list of SQL identifier types.

Enum Constant Summary
`FieldName` A SQL field name
`TableName` A SQL table name

Method Summary
`static QSqlDriver.IdentifierType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlDriver.IdentifierType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSqlDriver.IdentifierType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FieldName

    public static final QSqlDriver.IdentifierType FieldName

  A SQL field name

### TableName

    public static final QSqlDriver.IdentifierType TableName

  A SQL table name

Method Detail

### values

    public static final QSqlDriver.IdentifierType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSqlDriver.IdentifierType c : QSqlDriver.IdentifierType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSqlDriver.IdentifierType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlDriver.IdentifierType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD